@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

.gitlab-com-white-section {
  background-color: $color-white;
  border-top: 1px solid $landing-organization-color;
  border-bottom: 1px solid $landing-organization-color;
}

.credit-card-disclaimer {
  display: block;
  color: $features-barely-transparent-white;
  font-size: 16px;
}

.page-container.container.gitlab-com-features {
  padding-bottom: 0;
}

.gitlab-com-features {
  h2 {
    font-size: 28px;
    font-weight: 400;
    color: $color-primary;
  }

  h3 {
    margin-top: 0;
    margin-bottom: 80px;
    font-size: 18px;
    font-weight: 300;
    line-height: 30px;
    color: $color-gray;
  }

  p {
    color: $color-gray;
    margin-top: 20px;
  }
}

.gitlab-com-features-list {
  li {
    position: relative;
    text-align: center;

    @media (max-width: $screen-md) {
      margin-bottom: 60px;
    }
  }

  .gitlab-com-features-list-item {
    margin: auto;
    width: auto;
  }

  svg {
    position: relative;
    margin-bottom: -8px;
    fill: $color-secondary;
  }
}

.features-list-title {
  margin-left: 10px;
  font-size: 20px;
  color: $color-primary;
  margin-top: 3px;
}

.features-list-sub-title {
  display: block;
  margin-left: 30px;
  font-size: 16px;
  font-weight: 300;
  color: $color-primary;
}

.pricing-panel-body {
  padding-top: 40px;
  padding-bottom: 40px;
  color: $color-primary-alt;

  p {
    padding: 10px;
    font-size: 14px;

    &.is-hidden {
      visibility: hidden;
    }
  }
}

.pricing-panel-price {
  margin-top: 0;
  margin-bottom: 20px;
  font-size: 46px;
  font-weight: 600;
  line-height: 40px;
  text-transform: uppercase;
  // force some space beneath the header so the other elements
  // line up nicely. probably better ways to do this, but
  // this is a PM coding
  height: 80px;

}

.pricing-panel-price-subtext {
  font-size: 12px;
}

.pricing-panel-price-side {
  display: inline-block;
  width: 100px;
  font-size: 22px;
  text-align: left;
  line-height: 18px;
  text-transform: lowercase;
}

.gitlab-com-questions {
  h2 {
    margin-bottom: 80px;
    font-size: 40px;
    color: $color-primary;
  }
}

.gitlab-com-strategy {
  color: $color-primary-alt;

  h3 {
    margin-bottom: 20px;
    font-size: 28px;
  }

  p {
    color: $color-gray;
    font-size: 18px;

    &.gitlab-com-strategy-plan-text {
      margin-bottom: 60px;
      font-size: 16px;
    }
  }
}

.gitlab-com-strategy-title {
  color: $color-primary;
}

.gitlab-com-strategy-title-future {
  margin: 40px 0 20px;
  font-size: 20px;
  color: $color-primary;
}

.gitlab-com-strategy-opening-text {
  margin-bottom: 80px;
  font-size: 18px;
}

.gitlab-com-strategy-plans {
  margin-bottom: 70px;
}

.gitlab-right-fit {
  padding-top: 60px;
  padding-bottom: 60px;

  h2 {
    margin-top: 0;
    margin-bottom: 5px;
    font-size: 46px;
    color: $color-primary;
  }

  h3 {
    margin-top: 0;
    margin-bottom: 30px;
    font-size: 28px;
    font-weight: 200;
    color: $color-gray-light;
  }
}

.gitlab-used-by {
  margin-bottom: -45px;

  h4 {
    margin-bottom: 80px;
    font-size: 22px;
    color: $color-primary;
  }
}

.cta-btn.primary {
  margin-bottom: 20px;
}

@media (min-width: $screen-lg-min) {
  .gitlab-com-plans {
    display: flex;

    .panel,
    .col-lg-3 {
      display: flex;
    }

    .panel {
      flex-direction: column;
    }

    .panel-body {
      display: flex;
      flex: 1;
      flex-direction: column;

      .cta-btn.secondary {
        margin: auto auto 0;
      }
    }
  }
}
